Bug 11927 - rpcclient does not use "client ipc *" options
rpcclient does not use "client ipc *" options
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.3.9
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-19 10:44 UTC by Stefan Metzmacher
Modified: 2016-06-01 07:40 UTC (History)
4 users (show)

See Also:


Attachments
Patch for v4-4-test (2.63 KB, patch)
2016-05-22 12:27 UTC, Stefan Metzmacher
metze: review? (gd)
jra: review+
asn: review+
Details
Patch for v4-3-test (2.63 KB, patch)
2016-05-22 12:27 UTC, Stefan Metzmacher
metze: review? (gd)
jra: review+
asn: review+
Details
Patch for v4-2-test (2.63 KB, patch)
2016-05-22 12:28 UTC, Stefan Metzmacher
metze: review? (gd)
jra: review+
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2016-05-19 10:44:03 UTC
rpcclient doesn't use the "client ipc min protocol", "client ipc max protocol"
and "client ipc signing" options.
Comment 1 Stefan Metzmacher 2016-05-22 12:27:14 UTC
Created attachment 12125 [details]
Patch for v4-4-test
Comment 2 Stefan Metzmacher 2016-05-22 12:27:55 UTC
Created attachment 12126 [details]
Patch for v4-3-test
Comment 3 Stefan Metzmacher 2016-05-22 12:28:37 UTC
Created attachment 12127 [details]
Patch for v4-2-test
Comment 4 Jeremy Allison 2016-05-23 22:44:34 UTC
Reassigning to Karolin for inclusion in 4.4.next, 4.3.next, 4.2.next.
Comment 5 Karolin Seeger 2016-05-30 09:08:27 UTC
(In reply to Jeremy Allison from comment #4)
Pushed to autobuild-v[4|3|2]-test.
Comment 6 Karolin Seeger 2016-06-01 07:40:14 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!